| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
GasTransportData Class Reference

Transport data for a single gas-phase species which can be used in mixture-averaged or multicomponent transport models. More...

`#include <TransportData.h>`

Inheritance diagram for GasTransportData:
[legend]

## Detailed Description

Transport data for a single gas-phase species which can be used in mixture-averaged or multicomponent transport models.

Definition at line 45 of file TransportData.h.

## Public Member Functions
| GasTransportData (const string &geometry, double diameter, double well_depth, double dipole=0.0, double polarizability=0.0, double rot_relax=0.0, double acentric=0.0, double dispersion=0.0, double quad_polar=0.0)
| Construct a GasTransportData object using MKS units for all parameters.
void | setCustomaryUnits (const string &geometry, double diameter, double well_depth, double dipole=0.0, double polarizability=0.0, double rot_relax=0.0, double acentric=0.0, double dispersion=0.0, double quad_polar=0.0)
| Set the parameters using "customary" units: diameter in Angstroms, well depth in Kelvin, dipole in Debye, and polarizability in Angstroms^3.
void | validate (const Species &species) override
| Check transport data for invalid parameters such as a geometry inconsistent with the atomic composition, non-positive diameter, or negative values for well depth, dipole, polarizability, or rotational relaxation number.
void | getParameters (AnyMap &transportNode) const override
| Store the parameters needed to reconstruct a TransportData object.
Public Member Functions inherited from TransportData
AnyMap | parameters (bool withInput) const
| Return the parameters such that an identical species transport object could be reconstructed using the newTransportData() function.

## Public Attributes
string | geometry
| A string specifying the molecular geometry.
double | diameter = 0.0
| The Lennard-Jones collision diameter [m].
double | well_depth = 0.0
| The Lennard-Jones well depth [J].
double | dipole = 0.0
| The permanent dipole moment of the molecule [Coulomb-m]. Default 0.0.
double | polarizability = 0.0
| The polarizability of the molecule [m^3]. Default 0.0.
double | rotational_relaxation = 0.0
| The rotational relaxation number (the number of collisions it takes to equilibrate the rotational degrees of freedom with the temperature).
double | acentric_factor = 0.0
| Pitzer's acentric factor [dimensionless]. Default 0.0.
double | dispersion_coefficient = 0.0
| dispersion normalized by e^2. [m^5] Default 0.0.
double | quadrupole_polarizability = 0.0
| quadrupole. Default 0.0.
Public Attributes inherited from TransportData
AnyMap | input
| Input data used for specific models.

## Additional Inherited Members

## Constructor & Destructor Documentation

## ◆ GasTransportData()

GasTransportData | ( | const string & | geometry,
|  | double | diameter,
|  | double | well_depth,
|  | double | dipole = `0.0`,
|  | double | polarizability = `0.0`,
|  | double | rot_relax = `0.0`,
|  | double | acentric = `0.0`,
|  | double | dispersion = `0.0`,
|  | double | quad_polar = `0.0`
| ) |  |

Construct a GasTransportData object using MKS units for all parameters.

Definition at line 28 of file TransportData.cpp.

## Member Function Documentation

## ◆ setCustomaryUnits()

void setCustomaryUnits | ( | const string & | geometry,
|  | double | diameter,
|  | double | well_depth,
|  | double | dipole = `0.0`,
|  | double | polarizability = `0.0`,
|  | double | rot_relax = `0.0`,
|  | double | acentric = `0.0`,
|  | double | dispersion = `0.0`,
|  | double | quad_polar = `0.0`
| ) |  |

Set the parameters using "customary" units: diameter in Angstroms, well depth in Kelvin, dipole in Debye, and polarizability in Angstroms^3.

These are the units used in in CK-style input files.

Definition at line 45 of file TransportData.cpp.

## ◆ validate()

void validate | ( | const Species & | species | ) |
| override virtual

Check transport data for invalid parameters such as a geometry inconsistent with the atomic composition, non-positive diameter, or negative values for well depth, dipole, polarizability, or rotational relaxation number.

Reimplemented from TransportData.

Definition at line 62 of file TransportData.cpp.

## ◆ getParameters()

void getParameters | ( | AnyMap & | transportNode | ) | const
| override virtual

Store the parameters needed to reconstruct a TransportData object.

Does not include user-defined fields available in input.

Reimplemented from TransportData.

Definition at line 130 of file TransportData.cpp.

## Member Data Documentation

## ◆ geometry

string geometry

A string specifying the molecular geometry.

One of `atom`, `linear`, or `nonlinear`.

Definition at line 76 of file TransportData.h.

## ◆ diameter

double diameter = 0.0

The Lennard-Jones collision diameter [m].

Definition at line 79 of file TransportData.h.

## ◆ well_depth

double well_depth = 0.0

The Lennard-Jones well depth [J].

Definition at line 82 of file TransportData.h.

## ◆ dipole

double dipole = 0.0

The permanent dipole moment of the molecule [Coulomb-m]. Default 0.0.

Definition at line 85 of file TransportData.h.

## ◆ polarizability

double polarizability = 0.0

The polarizability of the molecule [m^3]. Default 0.0.

Definition at line 88 of file TransportData.h.

## ◆ rotational_relaxation

double rotational_relaxation = 0.0

The rotational relaxation number (the number of collisions it takes to equilibrate the rotational degrees of freedom with the temperature).

Default 0.0.

Definition at line 93 of file TransportData.h.

## ◆ acentric_factor

double acentric_factor = 0.0

Pitzer's acentric factor [dimensionless]. Default 0.0.

Definition at line 96 of file TransportData.h.

## ◆ dispersion_coefficient

double dispersion_coefficient = 0.0

dispersion normalized by e^2. [m^5] Default 0.0.

Definition at line 99 of file TransportData.h.

## ◆ quadrupole_polarizability

double quadrupole_polarizability = 0.0

quadrupole. Default 0.0.

Definition at line 102 of file TransportData.h.

The documentation for this class was generated from the following files:

- TransportData.h
- TransportData.cpp